Ansicht von 4 Beiträgen - 1 bis 4 (von insgesamt 4)
  • Autor
    Beiträge
  • #25760

    pix
    Teilnehmer

    Hallo,

    für Locus Pro nutze ich ausschließlich Karten von openandromaps. Auf unserem Samsung S5 funktioniert der automatische Kartenwechsel seit längerer Zeit nicht mehr. Auf unserem 4 Jahre alten ZTE mit derselben Locus Pro Version schon. Auf beiden Geräten sind exakt dieselben Einstellungen in Locus vorhanden.

    Rein zufällig ist mir aufgefallen, dass auf dem ZTE nur die „alten“ Karten installiert sind, also keine Multilingual Karten. Auf dem Samsung war ein Mischbetrieb vorhanden. Heißt, die Karte Germany_North war die normale Karte und die Germany_Mid war die Multilingual Karte.

    Ein automatischer Kartenwechsel zwischen beiden Karten unter Locus hat damit bei mir nicht funktioniert. Siehe Anhang..

    Frage:
    ist das korrekt so oder liegt es an falschen Einstellungen in Locus?

    Vielen Dank für die Hilfe

    • Dieses Thema wurde geändert vor 1 Jahr, 1 Monat von  pix.
    • Dieses Thema wurde geändert vor 1 Jahr, 1 Monat von  pix.
    #25766
    Tobias
    Tobias
    Moderator

    Hallo,
    das ist leider so. Locus hat vor Jahren mal ausgehend von mapsforge 0.3 (aktuell ist 0.10) eigene Funktionen direkt in die Kartendarstellungs-Engine gepackt. In derFolge werden von der Locus-eigenen Engine Neuerungen in mapsforge nicht oder nur teilweise unterstützt, wie z.B. mehrsprachige Karten. Deshalb wurde inzwischen in Locus auch eine aktuelle mapsforge-Engine eingebaut (die für mehrsprachige Karten verwendet wird), wodurch wiederum Locus-spezifische Funktionen wie der automatische Kartenwechsel verloren gehen… da können wir nichts machen, da wären die Locus-Entwickler gefragt.
    Viele Grüße,
    Tobias

    Developer of Elevate mapstyle

    • Diese Antwort wurde geändert vor 1 Jahr, 1 Monat von Tobias Tobias.
    1 Teilnehmer(n) gefällt dieser Beitrag
    #28329

    bezel
    Teilnehmer

    – hat sich daran bei Locus Pro zwischenzeitlich etwas geändert?
    Sollte der automatische Kartenwechsel nicht funktionieren, würde es mich abhalten, die neuen v4-Karten zu verwenden.

    #28331
    Tobias
    Tobias
    Moderator

    – hat sich daran bei Locus Pro zwischenzeitlich etwas geändert?

    In der aktuellen Beta ist jetzt endlich eine vernünftige Mapsforge Unterstützung eingebaut, sowohl V4 Karten als auch korrekte Darstellung der Themes:
    https://forum.locusmap.eu/index.php?topic=6434.0
    https://forum.locusmap.eu/index.php?topic=6471.0
    Automatischer Kartenwechsel sollte auch funktionieren.

    Sollte der automatische Kartenwechsel nicht funktionieren, würde es mich abhalten, die neuen v4-Karten zu verwenden.

    Das kannst Du natürlich machen wie Du willst, außer Du willst weiterhin aktuelle OpenAndroMaps haben – irgendwann dieses Jahr gibt es nur noch V4-Karten :-)

    Developer of Elevate mapstyle

    1 Teilnehmer(n) gefällt dieser Beitrag
Ansicht von 4 Beiträgen - 1 bis 4 (von insgesamt 4)

Du musst angemeldet sein, um auf dieses Thema antworten zu können.